use super::*;

pub async fn on_get_cafe_data(
    _session: &NetSession,
    _player: &mut Player,
    _req: GetCafeDataCsReq,
) -> NetResult<GetCafeDataScRsp> {
    Ok(GetCafeDataScRsp {
        retcode: Retcode::RetSucc.into(),
        cafe_data: Some(CafeData::default()),
    })
}

pub async fn on_get_reward_buff_data(
    _session: &NetSession,
    _player: &mut Player,
    _req: GetRewardBuffDataCsReq,
) -> NetResult<GetRewardBuffDataScRsp> {
    Ok(GetRewardBuffDataScRsp {
        retcode: Retcode::RetSucc.into(),
        info: Some(RewardBuffData::default()),
    })
}
